from exness.models import Balance

failed_balances = [
    128494089,
    128493978,
    128493974,
    128493959,
    128493681,
    128493565,
    128493400,
    128493251,
    128493231,
    128493202,
    128493152,
    128492542,
    128492508,
    128492323,
    128492133,
    128492114,
    128492014,
    128491871,
    128490738,
    128490684,
    128490586,
    128490561,
    128490494,
    128490417,
    128490318,
    128490094,
    128489993,
    128489936,
    128489764,
    128489719,
    128491743,
    128491661,
    128491561,
    128491342,
    128491217,
    128491068,
    128490850,
    128307768,
    128491561,
    128494225,
    128494629,
    128494531,
    128494488,
    128494301,
    128496974,
    128496824,
    128496646,
    128496515,
    128496508,
    128496448,
    128496425,
    128496258,
    128496038,
    128495886,
    128495755,
    128495698,
    128495692,
    128495580,
    128495267,
    128495181,
    128494796,
    128494638,
    128497038,
    128497028,
    128497003,
    128497001,
    128500052,
    128500049,
    128499842,
    128499768,
    128499558,
    128499554,
    128499534,
    128499507,
    128499476,
    128499368,
    128499275,
    128499261,
    128499152,
    128499112,
    128499065,
    128498972,
    128498725,
    128498711,
    128498664,
    128498439,
    128498422,
    128498408,
    128498399,
    128498306,
    128498152,
    128498015,
    128497997,
    128497994,
    128497913,
    128497743,
    128497720,
    128497688,
    128497684,
    128497471,
    128497438,
    128497381,
    128497205,
    128511437,
    128645908,
    128643907,
    128643881,
    128674275,
    128676787,
    128741633,
    128741619,
    128898913
]


def run_rejecter():
    for balance_id in failed_balances:
        print("\n\nchecking failed withdrawal {}".format(balance_id))
        try:
            failed_withdrawal = Balance.objects.get(id=balance_id)
        except Balance.DoesNotExist:
            print('not found! next')
            continue

        broken_balances = Balance.objects.filter(
            Account=failed_withdrawal.Login,
            Login=failed_withdrawal.Account,
            TransactionID=failed_withdrawal.id,
            MT_Ticker=None,
            Status=1,
        )
        print("found {} BROKEN deposits: {}!".format(len(broken_balances), [balance.id for balance in broken_balances]))

        successfull_balances = Balance.objects.filter(
            Account=failed_withdrawal.Login,
            Login=failed_withdrawal.Account,
            TransactionID=failed_withdrawal.id,
            MT_Ticker__isnull=False,
            Status=1,
        )
        print("found {} SUCCESSFUL deposits: {}!".format(len(successfull_balances), [balance.id for balance in successfull_balances]))
